# $Revision: 1.17 $, $Date: 2009/10/18 07:53:04 $
Summary:	xclipboard application - X clipboard client
Summary(pl.UTF-8):	Aplikacja xclipboard - klient schowka X
Name:		xorg-app-xclipboard
Version:	1.1.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xclipboard-%{version}.tar.bz2
# Source0-md5:	113eccea3ee73a1ef7b43d2291ca1e09
Source1:	xclipboard.desktop
Source2:	xclipboard.png
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros >= 1.3
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xclipboard application is used to collect and display text selections
that are sent to the CLIPBOARD by other clients. It is typically used
to save CLIPBOARD selections for later use. It stores each CLIPBOARD
selection as a separate string, each of which can be selected.

%description -l pl.UTF-8
Aplikacja xclipboard służy do zbierania i wyświetlania zaznaczeń
tekstu wysyłanych przez innych klientów do schowka (CLIPBOARD). Zwykle
jest używana do zapisywania zaznaczeń schowka w celu późniejszego
użycia. Zapisuje każde zaznaczenie jako osobny łańcuch znaków, z
których każdy może być wybrany.

%prep
%setup -q -n xclipboard-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xclipboard.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xclipboard.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xclipboard
%attr(755,root,root) %{_bindir}/xcutsel
%{_datadir}/X11/app-defaults/XClipboard
%{_desktopdir}/xclipboard.desktop
%{_pixmapsdir}/xclipboard.png
%{_mandir}/man1/xclipboard.1x*
%{_mandir}/man1/xcutsel.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xclipboard.spec,v $
Revision 1.17  2009/10/18 07:53:04  qboosh
- updated to 1.1.0
- removed obsolete xaw patch
- real descriptions

Revision 1.16  2008/11/11 16:23:46  arekm
- rel 3; fix xaw related build

Revision 1.15  2008/11/07 20:51:06  arekm
- release 2

Revision 1.14  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2006/10/15 15:38:36  qboosh
- use individual dir, more verbose files, release 1

Revision 1.11  2006/02/07 13:35:16  qboosh
- merged xclipboard.{desktop,png} from monolith

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/12 13:53:29  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 14:20:51  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 22:55:48  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 19:27:27  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xclipboard-man.patch
- added BR: libXaw-devel
- release 0.02

* Sun Aug  7 2005 20:43:16  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
